Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSSessionPoolMBean

public interface JMSSessionPoolMBean
extends ConfigurationMBean, JMSConstants

This MBean represents a JMS session pool.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`boolean` | `addConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)` Add a connection consumer to the session pool.
`java.lang.String` | `getAcknowledgeMode()` Return the acknowledge mode used by non-transacted sessions within the session pool.
`JMSConnectionConsumerMBean[]` | `getConnectionConsumers()` Return a read-only array of the connection consumers of the session pool.
`java.lang.String` | `getConnectionFactory()` Return the JNDI name of the connection factory for the session pool.
`java.lang.String` | `getListenerClass()` Return the name of the listener class for the session pool.
`int` | `getSessionsMaximum()` Return the maximum number of sessions allowed for the session pool.
`boolean` | `isTransacted()` Check if the session pool is transacted or non-transacted.
`boolean` | `removeConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)` Remove a connection consumer from the session pool.
`void` | `setAcknowledgeMode(java.lang.String acknowledgeMode)` Set the acknowledge mode used by non-transacted sessions within the session pool.
`void` | `setConnectionConsumers(JMSConnectionConsumerMBean[] consumers)` Set all connection consumers in this session pool.
`void` | `setConnectionFactory(java.lang.String connectionFactory)` Set the connection factory JNDI name of the session pool.
`void` | `setListenerClass(java.lang.String name)` Set the name of the listener class for the session pool.
`void` | `setSessionsMaximum(int maxSessions)` Set the maximum number of sessions allowed for the session pool.
`void` | `setTransacted(boolean transacted)` Set the session pool to be transacted or non-transacted.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getConnectionConsumers

    public JMSConnectionConsumerMBean[] getConnectionConsumers()

  Return a read-only array of the connection consumers of the session pool.

  A non-configurable MBean attribute.

### setConnectionConsumers

    public void setConnectionConsumers(JMSConnectionConsumerMBean[] consumers)
                                throws javax.management.InvalidAttributeValueException

  Set all connection consumers in this session pool.

### addConnectionConsumer

    public boolean addConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Add a connection consumer to the session pool.

  A dynamic MBean attribute
  Parameters:
    `connectionConsumer` - a reference to JMSConnectionConsumerMBean

### removeConnectionConsumer

    public boolean removeConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)
                                     throws javax.management.InvalidAttributeValueException,
                                            DistributedManagementException

  Remove a connection consumer from the session pool.

  A dynamic MBean attribute
  Parameters:
    `connectionConsumer` - a reference to JMSConnectionConsumerMBean
  Throws:
    java.lang.IllegalArgumentException - if the ConnectionConsumer does not exist.

### getConnectionFactory

    public java.lang.String getConnectionFactory()

  Return the JNDI name of the connection factory for the session pool.

### setConnectionFactory

    public void setConnectionFactory(java.lang.String connectionFactory)
                              throws javax.management.InvalidAttributeValueException

  Set the connection factory JNDI name of the session pool.

  Default Value: null
  Parameters:
    `name` - the JNDI name of the ConnectionFactory used by the SessionPool

### getListenerClass

    public java.lang.String getListenerClass()

  Return the name of the listener class for the session pool.

### setListenerClass

    public void setListenerClass(java.lang.String name)
                          throws javax.management.InvalidAttributeValueException

  Set the name of the listener class for the session pool.

  Legal Value: value != void && value.trim().length() != 0
  Legal NULL: false

### getAcknowledgeMode

    public java.lang.String getAcknowledgeMode()

  Return the acknowledge mode used by non-transacted sessions within the session pool.

  For transacted sessions, messages are acknowledged automatically when the session is committed and this field is ignored.

  This attribute is not dynamically configurable.

### setAcknowledgeMode

    public void setAcknowledgeMode(java.lang.String acknowledgeMode)
                            throws javax.management.InvalidAttributeValueException

  Set the acknowledge mode used by non-transacted sessions within the session pool.

  For transacted sessions, messages are acknowledged automatically when the session is committed and this field is ignored.

  This attribute is not dynamically configurable.

  Default Value: ACKNOWLEDGE_MODE_AUTO
  Legal Values: ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE

### getSessionsMaximum

    public int getSessionsMaximum()

  Return the maximum number of sessions allowed for the session pool.

  This value is the number of concurrent sessions in the session pool. A value of -1 indicates that there is no maximum.

  This attribute is dynamically configurable; however, it does not take effect until the session pool is restarted.

### setSessionsMaximum

    public void setSessionsMaximum(int maxSessions)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Set the maximum number of sessions allowed for the session pool.

  This value is the number of concurrent sessions in the session pool. A value of -1 indicates that there is no maximum.

  This attribute is dynamically configurable; however, it does not take effect until the session pool is restarted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: ((value == -1) || ((value >= 1) && (value <= ((1 << 63) -1))))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### isTransacted

    public boolean isTransacted()

  Check if the session pool is transacted or non-transacted.

  This flag indicates whether or not the session pool creates transacted sessions.

  This attribute is not dynamically configurable.

### setTransacted

    public void setTransacted(boolean transacted)
                       throws javax.management.InvalidAttributeValueException

  Set the session pool to be transacted or non-transacted.

  This flag indicates whether or not the session pool creates transacted sessions.

  This attribute is not dynamically configurable.

  Default Value: false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference